import { transform } from 'es3ify';

function es3ify$1(options) {
	if ( options === void 0 ) options = {};

	return {
		name: 'es3ify',

		transformBundle: function transformBundle(code) {
			options.fromString = true;
			delete options.inSourceMap;
			delete options.outSourceMap;

			// trigger sourcemap generation
			if (options.sourceMap !== false) {
				options.outSourceMap = 'x';
			}

			var result = transform(code);

			// Strip sourcemaps comment and extra \n
			if (result.map) {
				var commentPos = result.code.lastIndexOf('//#');
				result.code = result.code.slice(0, commentPos).trim();
			}

			return result;
		}
	};
}

export default es3ify$1;